NAVIGON questions and answers

If you drive using NAVIGON, you’ll want the exact details. How to download updates, for example, or install additional maps or services, or how NAVIGON FreshMaps works. You’ll find manuals, downloads and answers to your questions here.

 

Select a topic, or enter a keyword to restrict your selection.

Back to search results
Which Android version do I need to make NAVIGON / NAVIGON select run on my Android device?
Answer:

To use the MobileNavigator or NAVIGON select on your device, you need the Android firmware version from 2.2.

Please check the compatibility of your smartphone directly on Google Play Store.

Requirements:
By using a tablet with a 3G/4G (LTE) module, the SIM card must be inserted. Devices, which do not have a SIM card slot and GPS module are incompatible.

Samsung Galaxy Nexus - compatible with NAVIGON version 4.1.2 or higher and an original Android firmware from version 4.0.4 or higher.

This entry was last updated on: Tuesday, November 25, 2014 9:47 AM

Social bookmarks:

Share/Bookmark